Classes | UGens>Generators>Deterministic

# LFSaw : PureUGen : UGen : AbstractFunction : Object

Sawtooth oscillator
Source: Osc.sc
Subclasses: LFCub, LFPar, LFTri
See also: LFCub, LFPar, LFPulse, LFTri, Saw

## Description

A non-band-limited sawtooth oscillator. Output ranges from -1 to +1.

## Class Methods

### LFSaw.ar(freq: 440.0, iphase: 0.0, mul: 1.0, add: 0.0)

### LFSaw.kr(freq: 440.0, iphase: 0.0, mul: 1.0, add: 0.0)

#### Arguments:

freq | Frequency in Hertz.
iphase | Initial phase offset. For efficiency reasons this is a value ranging from 0 to 2. NOTE: enter "1" for an initial phase of 0 radians. A value of 0 would start the cycle at pi radians. See the example below.
mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

{ LFSaw.ar(500, 1, 0.1) }.play // used as both Oscillator and LFO: { LFSaw.ar(LFSaw.kr(4, 0, 200, 400), 0, 0.1) }.play

Display the special behaviour of the initial phase parameter: // three channels, three phases { LFSaw.ar(20, [0, 1, 2]) }.plot(0.1)

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/LFSaw.schelp
link::Classes/LFSaw::